> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stashy.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a File

> Upload a file to storage.



## OpenAPI

````yaml POST /v1/files
openapi: 3.1.0
info:
  title: Stashy API
  version: 1.0.0
servers:
  - url: https://stashy.example.com
    description: Your Stashy instance
security:
  - BearerAuth: []
paths:
  /v1/files:
    post:
      summary: CreateFile
      description: Upload a file to storage.
      operationId: StorageService_CreateFile
      requestBody:
        content:
          '*/*':
            schema:
              type: string
              format: binary
        required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stashy.v1alpha1.CreateFileResponse'
components:
  schemas:
    stashy.v1alpha1.CreateFileResponse:
      type: object
      properties:
        id:
          type: string
          title: id
        url:
          type: string
          title: url
          format: uri
      title: CreateFileResponse
      required:
        - id
        - url
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque

````